# $Revision: 1.100 $, $Date: 2012/01/03 19:28:02 $
Summary:	GNU Aspell is an Open Source spell checker
Summary(pl.UTF-8):	GNU Aspell jest kontrolerem pisowni
Summary(pt_BR.UTF-8):	Verificador ortográfico
Name:		aspell
Version:	0.60.6.1
Release:	3
Epoch:		3
License:	LGPL v2 or v2.1
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
# Source0-md5:	e66a9c9af6a60dc46134fdacf6ce97d7
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
#Patch2:		%{name}-home_etc.patch
URL:		http://aspell.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.16.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	texinfo
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Provides:	pspell = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15
Obsoletes:	pspell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Aspell is a Free and Open Source spell checker designed to
eventually replace Ispell. It can either be used as a library or as an
independent spell checker. Its main feature is that it does a much
better job of coming up with possible suggestions than just about any
other spell checker out there for the English language, including
Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries
and intelligently handling personal dictionaries when more than one
Aspell process is open at once.

%description -l pl.UTF-8
GNU Aspell jest kontrolerem pisowni zaprojektowanym tak, by móc
zastąpić ispella. Dodatkowo zawiera wsparcie dla innych języków niż
angielski. Interfejs aspella napisany został w C++, a interfejsy w
Perlu i C są aktualnie rozwijane.

%description -l pt_BR.UTF-8
GNU Aspell é um verificador ortográfico criado para substituir o
antigo "ispell". Sua principal vantagem (sobre o Ispell) é uma melhor
sugestão de correções. Aspell inclui suporte a vários idiomas e pode
fazer a checagem de arquivos LaTeX e HTML.

%package libs
Summary:	aspell libraries
Summary(pl.UTF-8):	Biblioteki aspella
Group:		Libraries
Conflicts:	aspell < 0.60.4-1.2

%description libs
aspell/pspell libraries

%description libs -l pl.UTF-8
Biblioteki aspell/pspell.

%package devel
Summary:	Header files for aspell development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających aspella
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Provides:	pspell-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15-devel
Obsoletes:	pspell-devel

%description devel
Aspell is an Open Source spell checker. This package contains header
files for aspell development.

%description devel -l pl.UTF-8
Aspell jest kontrolerem pisowni. Ten pakiet zawiera pliki nagłówkowe
dla programistów używających bibliotek aspella.

%description devel -l pt_BR.UTF-8
Aspell é um corretor ortográfico. O pacote -devel inclui bibliotecas
dinâmicas e arquivos de inclusão necessários para o desenvolvimento
utilizando o aspell.

%package static
Summary:	Static libraries for aspell development
Summary(pl.UTF-8):	Biblioteki statyczne aspella
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	pspell-static = %{epoch}:%{version}-%{release}
Obsoletes:	pspell-static

%description static
Aspell is an Open Source spell checker. This package contains static
aspell libraries.

%description static -l pl.UTF-8
Aspell jest kontrolerem pisowni. Pakiet ten zawiera biblioteki
statyczne aspella.

%description static -l pt_BR.UTF-8
Aspell é um corretor ortográfico. O pacote -devel-static inclui as
bibliotecas estáticas necessárias para o desenvolvimento utilizando o
aspell.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# home_etc patch is fubar. If HOME_ETC var is not defined, it tries to open
# such files:
# open("$HOME|.//.aspell.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
# Disabled until someone fixes it.
#%%patch2 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	--enable-pkgdatadir=%{_datadir}/aspell \
	--enable-pkglibdir=%{_libdir}/aspell

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README manual/aspell.html
%{_infodir}/aspell.info*
%attr(755,root,root) %{_bindir}/aspell
%attr(755,root,root) %{_bindir}/aspell-import
%attr(755,root,root) %{_bindir}/pre*
%attr(755,root,root) %{_bindir}/run-with-aspell
%attr(755,root,root) %{_bindir}/word-list-compress
%dir %{_datadir}/aspell
%attr(755,root,root) %{_datadir}/aspell/ispell
%attr(755,root,root) %{_datadir}/aspell/spell
%{_datadir}/aspell/*.cmap
%{_datadir}/aspell/*.cset
%{_datadir}/aspell/*.kbd
%{_mandir}/man1/aspell.1*
%{_mandir}/man1/aspell-import.1*
%{_mandir}/man1/pre*.1*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaspell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaspell.so.15
%attr(755,root,root) %{_libdir}/libpspell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpspell.so.15
%{_libdir}/aspell

%files devel
%defattr(644,root,root,755)
%doc manual/aspell-dev.html
%attr(755,root,root) %{_bindir}/pspell-config
%attr(755,root,root) %{_libdir}/libaspell.so
%attr(755,root,root) %{_libdir}/libpspell.so
%{_libdir}/libaspell.la
%{_libdir}/libpspell.la
%{_includedir}/pspell
%{_includedir}/aspell.h
%{_mandir}/man1/pspell-config.1*
%{_infodir}/aspell-dev.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libaspell.a
%{_libdir}/libpspell.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aspell.spec,v $
Revision 1.100  2012/01/03 19:28:02  lisu
- rel 3

Revision 1.99  2011/08/31 18:28:51  arekm
- release 2

Revision 1.98  2011/07/14 16:26:32  qboosh
- updated to 0.60.6.1
- updated ac patch
- removed obsolete mk-static-filter.pl patch

Revision 1.97  2011/02/28 21:12:05  glen
- fix info dir for main and devel packages

Revision 1.96  2010/12/01 13:33:08  pawelz
- rel 5

Revision 1.95  2010/11/30 11:23:08  pawelz
- apply ac.patch (fix linking against ncurses)
- rel 4.1 (does not build, please help)

Revision 1.94  2010/11/30 00:43:31  pawelz
- home_etc patch is fubar. If HOME_ETC var is not defined, it tries to open such files:
- open("$HOME|.//.aspell.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
- Disabled until someone fixes it.
- and once again: why are we maintaining home_etc instead of xdg dirs???
- rel 4

Revision 1.93  2009/02/18 20:11:01  arekm
- release 3

Revision 1.92  2008/12/03 15:43:15  baggins
- rel 2
- fix generation of filter configuration keys

Revision 1.91  2008/07/20 21:25:19  qboosh
- updated to 0.60.6
- removed obsolete missing patch

Revision 1.90  2008/05/06 20:10:49  glen
- ispell/spell as executable for run-with-aspell(1)
- ghost soname symlinks
- rel 2

Revision 1.89  2008-04-08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.88  2007-02-12 21:23:48  glen
- tabs in preamble

Revision 1.87  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.86  2006/12/28 21:29:11  qboosh
- updated to 0.60.5, removed obsolete gcc4 patch, added missing patch
- moved pspell-config(1) manual to proper package

Revision 1.85  2006/11/25 15:44:30  twittner
- rel. 5 (rebuild with calling gettextize for upgrading gettext infrastructure)

Revision 1.84  2006/11/25 15:36:40  twittner
- also add `aclocal -I m4' - gettextize ask for it

Revision 1.83  2006/11/25 15:22:11  twittner
- added %__gettextize

Revision 1.82  2006/11/25 13:23:45  arekm
- rel 4

Revision 1.81  2006/05/16 06:56:01  glen
- check files cleanup

Revision 1.80  2006/04/15 22:19:06  qboosh
- no macro in Conflicts for old package

Revision 1.79  2006/04/15 21:57:10  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 3

Revision 1.78  2005/12/27 23:52:58  pluto
- gcc4 fix, release 2.

Revision 1.77  2005/11/01 23:23:45  qboosh
- pl for -libs

Revision 1.76  2005/11/01 22:06:04  glen
- -libs split

Revision 1.75  2005/10/21 11:08:41  qboosh
- updated to 0.60.4 (bugfixes)

Revision 1.74  2005/09/04 09:53:11  qboosh
- updated to 0.60.3 (bugfixes, minor optimizations)

Revision 1.73  2005/06/11 00:27:17  romke
- HOME_ETC support for 0.60.2,
- release 2.

Revision 1.72  2004/12/26 18:21:15  qboosh
- updated to 0.60.2, removed obsolete comment

Revision 1.71  2004/11/28 20:34:40  qboosh
- updated to 0.60.1.1, removed obsolete buffer-fix patch

Revision 1.70  2004/11/16 14:53:20  qboosh
- epoch 3 to allow upgrade from 3:0.50.5 (AC-branch)

Revision 1.69  2004/11/04 20:46:03  paladine
- spaces->tabs

Revision 1.68  2004/10/12 11:42:53  qboosh
- release 3

Revision 1.67  2004/10/12 11:40:05  qboosh
- added info patch (direntry unifications)

Revision 1.66  2004/10/07 12:47:06  qboosh
- one libstdc++-devel R is enough

Revision 1.65  2004/09/27 11:02:42  ankry
- R: libstdc++-devel in devel, rel. 2

Revision 1.64  2004/09/17 00:31:30  tommat
- now it works like 0.50 versions, please test and STBR

Revision 1.63  2004/09/17 00:08:35  tommat
- moved data files back to %{_datadir}/aspell
- added previously deleted %{_libdir}/aspell dir to the package

Revision 1.62  2004/08/31 14:56:17  tommat
- fixed files section

Revision 1.61  2004/08/31 11:51:39  tommat
- fixed source url, NFY

Revision 1.60  2004/08/31 11:39:44  tommat
- version 0.60 NFY

Revision 1.59  2004/08/19 07:56:58  krzak
- devel Requires:       libstdc++-devel

Revision 1.58  2004/08/14 14:53:56  twittner
- rel. 3 (rel. 2 belogs to Ra)

Revision 1.57  2004/08/14 12:58:48  twittner
- security -buffer-fix.patch obtained from gentoo
- rel. 2 - builds but not tested. (many thanks for blues for providing sec. ref.)

Revision 1.56  2004/08/10 14:21:55  blues
- SECURITY note

Revision 1.55  2004/07/20 13:06:39  qboosh
- strict internal deps, more specific files list
- use just 2:1.5 in libtool BR instead of crazy snaps

Revision 1.54  2004/02/12 21:05:20  grzegol
- updated to 0.50.5

Revision 1.53  2003/11/02 21:33:55  arekm
- updated to 0.50.4.1

Revision 1.52  2003/10/04 21:19:49  grzegol
- updated to 0.50.4
- removed outdated assert patch

Revision 1.51  2003/08/06 16:29:23  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.50  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.49  2003/06/12 13:54:49  qboosh
- added assert patch (missing include needed for gcc 3.3)

Revision 1.48  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:45:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/05/11 20:09:32  kloczek
- merge translations from Conectiva.

Revision 1.45  2003/04/08 09:20:46  mkochano
- Release 2.
- BR: gettext-devel.

Revision 1.44  2003/01/18 17:04:30  qboosh
- updated to 0.50.3
- removed libtool patch, libtoolize instead (BR: fixed libtool in CVS version)

Revision 1.43  2002/12/18 14:12:05  wrobell
- rel. 3

Revision 1.42  2002/11/29 13:53:29  wiget
- release 2

Revision 1.41  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/11/03 15:44:50  misiek
- revert

Revision 1.38  2002/10/11 21:47:34  qboosh
- fixed libtool patch (inst_prefix case was in wrong place) - now aspell
  builds correctly
- BuildConflicts: aspell-devel < 0.50 (to avoid linking libpspell with
  -laspell with old SONAME)

Revision 1.37  2002/10/06 15:19:59  aflinta
- started update to version 0.50.2

Revision 1.36  2002/09/22 19:07:39  misiek
- don't regenerate am/ac/lt case if you want properly working package

Revision 1.35  2002/09/22 16:48:54  misiek
- add libdir/aspell, fix typos

Revision 1.34  2002/09/22 15:54:14  misiek
- updated to 0.50.1

Revision 1.33  2002/05/27 19:36:28  qboosh
- resolved conflict with ispell, removed Provides/Obsoletes: ispell -
  it's only CLI-compatible with ispell, not an ispell replacement
- separated English dictionary to subpackage - not everyone needs it
- new %doc
- release 12

Revision 1.32  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/04 11:28:32  qboosh
- dictionaries back to original location (%{_libdir}/aspell) - format
  depends on machine endianess!
- release 11

Revision 1.30  2002/05/03 15:27:30  kloczek
- bump release to 10, Epoch: 2 (for allow upgrade from RH),
- added libaspell10{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.29  2002/05/03 12:50:17  qboosh
- updated URLs, added patch from project
- fixed messing with libdir and co.
- added pspell module to package
- noinstalled patch to allow build w/o aspell already installed,
  amfix patch to allow rebuild automake files
- release 2

Revision 1.28  2002/04/25 15:48:48  arturs
- fixed a small typo

Revision 1.27  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/02 19:55:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.25  2002/01/18 02:12:26  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/29 21:31:07  filon
- corrected version, there was not first 0 in version string

Revision 1.23  2001/10/23 08:19:36  kura
- updated to .33.7.1

Revision 1.22  2001/10/03 01:48:09  marcus
- removed unnecessary Epoch:

Revision 1.21  2001/09/20 21:44:51  blues
- removed trash

Revision 1.20  2001/05/02 00:42:07  qboosh
- adapterized and made spec %debug ready or using %rpm*flags macros

Revision 1.19  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.18  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  1999/07/26 09:26:32  misiek
- added missing translations

Revision 1.14  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
